/**
 * Moxkiriya standalone Wiki.
 * Select party dialog.
 * 
 * @author Ryuhei Terada
 * See the '<a href="{@docRoot}/copyright.html">Copyright</a>'
 */
package com.wiki.standalone.moxkiriya.dialog;

/**
 * SelectPartyDialog
 */
public class SelectPartyDialog extends DialogBase {

	/**
	 * Constructor.
	 */
	public SelectPartyDialog() {
	}
	
	@Override
	protected String getFXML() {
		return "SelectPartyDialog.fxml";
	}

	@Override
	protected DialogController getController() {
		SelectPartyDialogController controller = loader_.getController();

		controller.setStage(parentStage_);

		return controller;
	}

	@Override
	protected CloseType getCloseType() {
		return controller_.getCloseType();
	}
}